Subject: Re: [net-next,v2] [PATCH net-next v2] net: wwan: t7xx: Change PM_AUTOSUSPEND_MS to 5000

From: Jakub Kicinski <[email-masked]>
Date: Fri, 15 Nov 2024 15:21:53 -0800

On Thu, 14 Nov 2024 20:54:20 +0200 Sergey Ryazanov wrote:
> > We tested Fibocom FM350 and our products using the t7xx and they all
> > benefited from this.  
> 
> Possible negative outcomes for data transmission still need 
> clarification. Let me repeat it here.
> 
> On 06.11.2024 13:10, 吳逼逼 wrote:
> > Receiving or sending data will cause PCIE to change D3 Cold to D0 state.  
> 
> Am I understand it correctly that receiving IP packets on downlink will 
> cause PCIe link re-activation?
> 
> 
> I am concerned about a TCP connection that can be idle for a long period 
> of time. For example, an established SSH connection can stay idle for 
> minutes. If I connected to a server and execute something like this:
> 
> user@host$ sleep 20 && echo "Done"
> 
> Will I eventually see the "Done" message or will the autosuspended modem 
> effectively block any incoming traffic? And how long does it take for 
> the modem to wake up and deliver a downlink packet to the host? Have you 
> measured StDev change?

He's decreasing the sleep timer from 20 to 5 sec, both of which 
are very high for networking, anyway. You appear to be questioning
autosuspend itself but it seems to have been added 2 years ago already.

What am I missing?